#!/usr/bin/perl

# (C) 1998 Piotr Roszatycki <dexter@fnet.com.pl>
# All right reserved. Copying and modifing source is not allowed.


# CGI parameters:
#  from     - sender's address (def.: $HOSTNAME)
#  to       - receiver's address (def.: webmaster)
#  subject  - subject of mail (def.: WWW form)
#  header   - local file header (def.: none)
#  footer   - local file footer (def.: none)

use CGI;
use CGI::Carp qw(fatalsToBrowser);

$cgi = new CGI( \*STDIN );

print $cgi->header;

$fin = $cgi->param('header');
if( $fin ) {
    $fin =~ s/^\///;
    if( $fin && open FIN, $fin ) {
        while( $_ = <FIN> ) {
            print;
        }
        close FIN; 
    }
    $cgi->delete('header');
}

$fin = $cgi->param('footer');
if( $fin ) {
    $fin =~ s/^\///;
    open FIN, $fin;
    $cgi->delete('footer');
}

open FOUT, "|/usr/sbin/sendmail " . ( $cgi->param('to') ? $cgi->param('to') : "webmaster" );

print FOUT "From: ", $cgi->param('from') ? $cgi->param('from') : "sendform", "\n"; $cgi->delete('from');
print FOUT "Subject: ", $cgi->param('subject') ? $cgi->param('subject') : "WWW form", "\n"; $cgi->delete('subject');
print FOUT "To: ", $cgi->param('to') ? $cgi->param('to') : "webmaster", "\n"; $cgi->delete('to');
print FOUT "\n";

foreach( $cgi->param ) {
    print FOUT "* ", $_, "\n";
    print FOUT $cgi->param($_), "\n";
    print FOUT "\n";
}

foreach( $cgi->param ) {
    $param = $cgi->param($_);
    $param =~ s/\n/<br>/g;
    print "<H4>", $_, "</H4>\n";
    print "<I>", $param, "</I><BR>\n";
    print "<BR>\n";
}
print "</OL>\n";

close FOUT;

while( $_ = <FIN> ) {
    print;
}
close FIN; 



